summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2016-01-15 13:25:03 -0500
committerMike Frysinger <vapier@gentoo.org>2016-01-15 13:25:58 -0500
commitf50afd798d56fc1787cf751e749d70852222eca7 (patch)
tree33a09bdd6a68aee4e623af001fdfb7c4196b719a /net-misc
parentdev-python/google-apitools: version bump to 0.4.12 (diff)
downloadgentoo-f50afd798d56fc1787cf751e749d70852222eca7.tar.gz
gentoo-f50afd798d56fc1787cf751e749d70852222eca7.tar.bz2
gentoo-f50afd798d56fc1787cf751e749d70852222eca7.zip
net-misc/gsutil: version bump to 4.16
Diffstat (limited to 'net-misc')
-rw-r--r--net-misc/gsutil/Manifest1
-rw-r--r--net-misc/gsutil/files/gsutil-4.16-use-friendy-version-checks.patch24
-rw-r--r--net-misc/gsutil/gsutil-4.16.ebuild45
3 files changed, 70 insertions, 0 deletions
diff --git a/net-misc/gsutil/Manifest b/net-misc/gsutil/Manifest
index 3c58c6d540e..d9d1914158b 100644
--- a/net-misc/gsutil/Manifest
+++ b/net-misc/gsutil/Manifest
@@ -2,3 +2,4 @@ DIST gsutil_3.42.tar.gz 1878904 SHA256 50fc7acb7d1db8752f3eee106a3d8d65188107943
DIST gsutil_4.13.tar.gz 2790817 SHA256 f6fa8a77ff0475ba4898b2a4453ed3ead551499485000420f12bc4f7cfbcc09e SHA512 b146c8ce6fba09b07a752842d1ca3f83c74250553a4dae50ce32bf8ece2ded366e1b60d5c0af3727e2f5ed8d0766c9345bbf1056c3af571a26d2ed76187b57c9 WHIRLPOOL 5a989c51a9e550523713dc658255036a044f0e88dfd3869ca362d573bae6ff83004bb3249674b15fe6082b666d3c598a6f133c9b2e3c7e373a20f5db54b6d361
DIST gsutil_4.14.tar.gz 2824826 SHA256 225d0a58c0a5ee98830efc7d5524ec4d4779304c08c80ecb608d83d9b209b4cb SHA512 a74993406786fe33b17539f62e0384084b692793746bb78b17fbca8b6a3ff840ab6d500cd4b0911f1cf176b3629ffc7f879dd056d0324e601c3a4dc499a9dedd WHIRLPOOL bd7e85887f343b96535cc4f33ddf26b847bc4275de25644582123c444fb6748cf78b67c614eec94faf38c3aa474a3ba362579e6190566bfd7b63919191658d46
DIST gsutil_4.15.tar.gz 2826243 SHA256 faf481515be2ee0af2a04560ec207fe6253e9854804813eae1d800adbfd2a419 SHA512 60cd516e354505d47267aa46b54d56373443e630d79c012df8712238fa63746de8b3509932222ea920ec9bc45b664f305136f2a2686640c72c246d550e2b558f WHIRLPOOL 34c5ed0ff717c3749ffc76e31c1962b94ffe888091173ab0abfffd42e690bf8a37429fa2edfd5253e41c02781792182d8ff75161c89df538d5bad5138bddd54a
+DIST gsutil_4.16.tar.gz 2676340 SHA256 4c2fc1b900b75ada9b7636cba00db35e55c5a1d40063ea222e3cc2335cb5dea7 SHA512 5e0009d551eaf163169dc90b634bc2d3be5b1ac19bff5e9c69f9e7c977576b7b9cc334fce7d4b4f643b9b6e9feb6386ba81958321645dd0b43e4977c730cfedd WHIRLPOOL defbd62c81c3658eb500dbd6c4b6c3a7a8545e565551c32f2913c4281a97dbd56896632e6cdccfecd0c28b40507d13e67776549fb42eba98a4e6417e9b86886d
diff --git a/net-misc/gsutil/files/gsutil-4.16-use-friendy-version-checks.patch b/net-misc/gsutil/files/gsutil-4.16-use-friendy-version-checks.patch
new file mode 100644
index 00000000000..5f8b7471635
--- /dev/null
+++ b/net-misc/gsutil/files/gsutil-4.16-use-friendy-version-checks.patch
@@ -0,0 +1,24 @@
+--- a/setup.py
++++ b/setup.py
+@@ -35,10 +35,10 @@
+ """
+
+ requires = [
+- 'boto==2.38.0',
++ 'boto>=2.38.0',
+ 'crcmod>=1.7',
+ 'gcs-oauth2-boto-plugin>=1.9',
+- 'google-apitools==0.4.12',
++ 'google-apitools>=0.4.12',
+ 'httplib2>=0.8',
+ 'oauth2client>=1.5.2',
+ 'pyOpenSSL>=0.13',
+@@ -48,7 +48,7 @@
+ 'six>=1.9.0',
+ # Not using 1.02 because of:
+ # https://code.google.com/p/socksipy-branch/issues/detail?id=3
+- 'SocksiPy-branch==1.01',
++ 'SocksiPy-branch>=1.01',
+ ]
+
+ dependency_links = [
diff --git a/net-misc/gsutil/gsutil-4.16.ebuild b/net-misc/gsutil/gsutil-4.16.ebuild
new file mode 100644
index 00000000000..9ecdf666571
--- /dev/null
+++ b/net-misc/gsutil/gsutil-4.16.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="command line tool for interacting with cloud storage services"
+HOMEPAGE="https://github.com/GoogleCloudPlatform/gsutil"
+SRC_URI="http://commondatastorage.googleapis.com/pub/${PN}_${PV}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+RDEPEND="${PYTHON_DEPS}
+ >=dev-python/boto-2.38.0[${PYTHON_USEDEP}]
+ >=dev-python/crcmod-1.7[${PYTHON_USEDEP}]
+ >=dev-python/httplib2-0.8[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]
+ >=dev-python/gcs-oauth2-boto-plugin-1.9[${PYTHON_USEDEP}]
+ >=dev-python/google-apitools-0.4.12[${PYTHON_USEDEP}]
+ >=dev-python/oauth2client-1.5.2[${PYTHON_USEDEP}]
+ >=dev-python/python-gflags-2.0[${PYTHON_USEDEP}]
+ >=dev-python/retry-decorator-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/socksipy-1.01[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+S=${WORKDIR}/${PN}
+
+DOCS=( README.md CHANGES.md )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-4.16-use-friendy-version-checks.patch
+)
+
+python_test() {
+ export BOTO_CONFIG=${FILESDIR}/dummy.boto
+ ${PYTHON} gslib/__main__.py test -u || die "tests failed"
+}